Page MenuHomePhabricator

Report the Engineering Community activity for February 2015
Closed, ResolvedPublic

Description

Events coordination

While defining Goals and measures of success of the Wikimedia Hackathon 2015, we have developed further the Wikimedia hackathon model, focusing on demo-able projects, hackathon buddies, and welcoming newcomers. One of the first consequences has been the creation of wiki pages to find hackathon buddies.

Follow the wikis for the Lyon Hackathon and the Mexico City Hackathon. Currently we do not have information up about the hackathon, however we will be updating the Wikimania page soon.

Feedback has been collected from 64 participants at the MediaWiki Developers Summit, 2015. In March it will be compiled and lessons learned and a plan for next year will be released. Follow the phabricator task for more details.

Documentation improvement

Initial content for Data & developer hub: draft showcase/inspire articles for Recent changes stream and Wikidata API queries triggered improvements to templates, related MediaWiki and wikitech pages, and underlying API documentation. Prototyped links from example API queries to the ApiSandbox (T89680, T89229).

More of the HTML templating RFC became documentation, custom namespaces documentation improved and duplicate redundancy eliminated, and much other documentation improvement.

Outreach programs

A blog post about Wikimedia's participation in Google Code-in 2014 was published -- and then republished by Google.

FOSS Outreach Program for Women round 9 entered its closing phase. Now there are four projects with serious delays, the three last ones due to university exams. Still, delayed or not, the six ongoing projects are aiming to be completed during March. For more details, check the weekly reports:

Wikimedia applied to Google Summer of Code 2015 and Outreachy round 10 (was FOSS Outreach Program for Women, now refocused to more underreresented groups), and it was accepted in both.

Phabricator migration

Phabricator was upgraded and received several fixes such as improved matching in the "Projects" dropdown proposals. Also, project links by default show the workboard (if set up) instead of the project summary, received a project bar on the left, and some URLs changed. The Sprint extension shows avatars on cards, is invoked by setting a checkbox in the project settings instead of using an "§" in the name, the Burndown chart does not depend on Maniphest task status anymore, and supports setting "Can Edit Task Status" and "Can Assign Tasks" policies (currently not enabled). The full list of changes is available and corresponding documentation was updated.

Regarding migration of Wikimedia Foundation teams to Phabricator, the Collaboration team migrated from Trello (thanks to improvements on the Trello migration script) and Language Engineering team migrated from Mingle.

Phabricator's search was reverted from ElasticSearch to the MySQL backend, fixing numerous issues. Furthermore, the separate legalpad.wikimedia.org was removed (superseded by phabricator.wikimedia.org), work continued on turning Bugzilla into a static version. The "Needs Volunteer" priority was renamed to "Lowest", Gerrit repository ownership permission handling moved fom the wiki to Phabricator, the documentation about the "Security" dropdown got improved, Gadget-BugStatusUpdate.js got adapted to Phabricator, email task creation instructions were clarified, the "Export to Excel" button renamed, and guidelines for tracking tasks versus projects were written.

Bug report management

Numerous projects were created or archived. The Triage documentation received a section about Cookie licking.

Event Timeline

Qgil created this task.Feb 2 2015, 9:12 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Low.
Qgil claimed this task.
Qgil added a project: ECT-February-2015.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2015, 9:12 AM
Aklapper renamed this task from Report the Engineering Community activity for February 2014 to Report the Engineering Community activity for February 2015.Feb 16 2015, 10:22 AM
Aklapper set Security to None.
Qgil removed a project: ECT-March-2015.

According to T24: Decide whether project reporting should be moved to Phabricator as well, now our monthly reports should be published in tasks and not in mediawiki.org anymore. I guess this means that we will edit this task until the description reflects the work we have done in February, and then we will associate it with #Report. CCing @gpaumier just in case he is expecting something different.

Qgil raised the priority of this task from Low to High.Feb 26 2015, 10:16 AM
Qgil added a project: Developer-Advocacy.
Aklapper updated the task description. (Show Details)Feb 26 2015, 6:40 PM
Aklapper updated the task description. (Show Details)Feb 27 2015, 5:16 PM
Spage updated the task description. (Show Details)Mar 3 2015, 6:17 AM
Qgil updated the task description. (Show Details)Mar 3 2015, 2:23 PM
Qgil updated the task description. (Show Details)Mar 3 2015, 2:28 PM
Qgil reassigned this task from Qgil to Rfarrand.

@Rfarrand, all yours!

Rfarrand updated the task description. (Show Details)Mar 5 2015, 6:15 PM
Rfarrand closed this task as Resolved.

What does it mean that this report is "resolved"?

Qgil added a comment.Mar 8 2015, 12:00 PM

It means that the Engineering Community team has reported its activities
for February. Are you missing relevant information?

gpaumier moved this task from Backlog to February 2015 on the Report board.Mar 9 2015, 3:13 PM

Engineering Community team

I missed it was about the team only.